Query Alert Notes
Data returned includes a Collection of Alert Notes
Page number from which data needs to be displayed (0-based)
Expected number of entries per page
The query spec used for looking up Alert Notes
Show optional properties
{
"alert-query": {}
}
"{\n \"compositeOperator\" : \"AND\",\n \"alertNoteId\" : [ ],\n \"alert-query\" : {\n \"compositeOperator\" : \"AND\",\n \"alertId\" : [ \"24c93393-eba2-450c-85fb-105c6d97c7ab\" ],\n \"activeOnly\" : false,\n \"alertTypeSubtype\" : [ ],\n \"alertCriticality\" : [ ],\n \"alertStatus\" : [ ],\n \"alertImpact\" : [ ],\n \"alertControlState\" : [ ],\n \"includeChildrenResources\" : false,\n \"extractOwnerName\" : false\n },\n \"userName\" : [ ],\n \"alertNoteType\" : [ ],\n \"content\" : [ ]\n}"
Query for alerts by various criteria.
Composition of filtering criteria controlled via the compositeOperator property.
For Pagination see PageInfo
For sorting see AlertField and SortOrder enumerations.
If a sort field is not specified but pagination is requested the Alerts will be
sorted by the alertId field.
Filter based on Alert Note identifiers
Filter based on alert note types
Operations for Composite Conditions
Filter based on note contents
Filter based on matching UTC cancel time
Filter based on user names
The Alert Notes matching the query specified (Collection can be empty)
"{\n \"alertNotes\" : [ {\n \"id\" : \"ea3f7bcc-12f0-432b-9ba4-a808b14b8891\",\n \"alertId\" : \"0d9ff4f7-1603-43c9-b51d-db2b5b47c65e\",\n \"creationTimeUTC\" : 0,\n \"type\" : \"USER\",\n \"userId\" : \"2d8b511a-676a-4b9b-a032-aae9278c4f1f\",\n \"userName\" : \"testUser\",\n \"note\" : \"sample note\"\n }, {\n \"id\" : \"24c93393-eba2-450c-85fb-105c6d97c7ab\",\n \"alertId\" : \"0d9ff4f7-1603-43c9-b51d-db2b5b47c65e\",\n \"creationTimeUTC\" : 0,\n \"type\" : \"SYSTEM\",\n \"userId\" : \"2d8b511a-676a-4b9b-a032-aae9278c4f1f\",\n \"userName\" : \"testUser\",\n \"note\" : \"sample note\"\n } ]\n}"
List of alert notes
Collection of links
Represents page information for a paged result
Error occurred while retrieving the Alert Notes
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"alert-query":"object"}' https://{api_host}/suite-api/api/alerts/notes/query